Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceCalls and routing

Run the best capability for your inputs

POST
/v1/run/auto

Auto router: GridRouter picks the capability from the input fields you have (and the output fields you ask for), then routes it like run. The chosen capability and the alternatives are returned.

Authorization

bearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/run/auto" \  -H "Content-Type: application/json" \  -d '{    "input": {      "property1": null,      "property2": null    }  }'
{  "object": "call",  "id": "string",  "endpoint_id": "string",  "provider": "string",  "status": "succeeded",  "hit": true,  "cost_micro": 0,  "latency_ms": 0,  "credential": "managed",  "data": {    "property1": null,    "property2": null  },  "raw": null,  "attempts": [    {      "endpoint_id": "string",      "provider": "string",      "outcome": "hit",      "cost_micro": 0,      "latency_ms": 0,      "error_code": "invalid_request"    }  ],  "meta": {    "property1": "string",    "property2": "string"  },  "cache": {    "status": "hit",    "age_s": 0,    "fetched_at": "2019-08-24T14:15:22Z",    "saved_micro": 0,    "fields_cached": [      "string"    ],    "fields_fetched": [      "string"    ]  },  "capability": "string",  "candidates": [    {      "capability": "string",      "score": 0,      "reason": "string"    }  ]}